vim.keymap.set(
	'n'                                                          ,
	'<Leader>psl'                                                ,
	'<cmd>lua require(\'persistence\').load({ last = true })<CR>',
	{
		desc = 'Restore last session'
	}
)
vim.keymap.set(
	'n'                                           ,
	'<Leader>psd'                                 ,
	'<cmd>lua require(\'persistence\').load()<CR>',
	{
		desc = 'Restore last session for the current directory'
	}
)
vim.keymap.set(
	'n'                                           ,
	'<Leader>pss'                                 ,
	'<cmd>lua require(\'persistence\').stop()<CR>',
	{
		desc = 'Do not save this session on neovim shutdown'
	}
)
