return {
	'folke/trouble.nvim',
	branch = 'dev', -- IMPORTANT!
	keys = {
		{
			'<leader>plt',
			'<cmd>Trouble diagnostics toggle<cr>',
			desc = 'Diagnostics (Trouble)',
		},
		{
			'<leader>plb',
			'<cmd>Trouble diagnostics toggle filter.buf=0<cr>',
			desc = 'Buffer Diagnostics (Trouble)',
		},
		{
			'<leader>plc',
			'<cmd>Trouble symbols toggle focus=false<cr>',
			desc = 'Symbols (Trouble)',
		},
		{
			'<leader>pll',
			'<cmd>Trouble lsp toggle focus=false win.position=right<cr>',
			desc = 'LSP Definitions / references / ... (Trouble)',
		},
		{
			'<leader>plL',
			'<cmd>Trouble loclist toggle<cr>',
			desc = 'Location List (Trouble)',
		},
		{
			'<leader>plq',
			'<cmd>Trouble qflist toggle<cr>',
			desc = 'Quickfix List (Trouble)',
		},
	},
	opts = {}, -- for default options, refer to the configuration section for custom setup.
}
